<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Area3DPxg (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Area3DPxg (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Area3DPxg.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPtg.html"
               title="class in org.apache.poi.ss.formula.ptg"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaErrPtg.html"
               title="class in org.apache.poi.ss.formula.ptg"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/ptg/Area3DPxg.html" target="_top">Frames</a>
        </li>
        <li><a href="Area3DPxg.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.ss.formula.ptg.Ptg">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula.ptg</div>
    <h2 title="Class Area3DPxg" class="title">Class Area3DPxg</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                       title="class in org.apache.poi.ss.formula.ptg">org.apache.poi.ss.formula.ptg.Ptg</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../../org/apache/poi/ss/formula/ptg/OperandPtg.html"
                               title="class in org.apache.poi.ss.formula.ptg">org.apache.poi.ss.formula.ptg.OperandPtg</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html"
                                       title="class in org.apache.poi.ss.formula.ptg">org.apache.poi.ss.formula.ptg.AreaPtgBase</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.ss.formula.ptg.Area3DPxg</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable, <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaI.html"
                                                title="interface in org.apache.poi.ss.formula.ptg">AreaI</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg.html"
                            title="interface in org.apache.poi.ss.formula.ptg">Pxg</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg3D.html"
                            title="interface in org.apache.poi.ss.formula.ptg">Pxg3D</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">Area3DPxg</span>
extends <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html"
           title="class in org.apache.poi.ss.formula.ptg">AreaPtgBase</a>
implements <a href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg3D.html"
              title="interface in org.apache.poi.ss.formula.ptg">Pxg3D</a></pre>
                <div class="block"><p>Title: XSSF Area 3D Reference (Sheet + Area)
                    <P>
                    <p>Description: Defined an area in an external or different sheet.
                    <P>
                    <p>REFERENCE: </p>

                    <p>This is XSSF only, as it stores the sheet / book references
                        in String form. The HSSF equivalent using indexes is <a
                                href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPtg.html"
                                title="class in org.apache.poi.ss.formula.ptg"><code>Area3DPtg</code></a></p></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.formula.ptg.AreaI">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.ss.formula.ptg.<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/AreaI.html"
                                        title="interface in org.apache.poi.ss.formula.ptg">AreaI</a></h3>
                                <code><a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaI.OffsetArea.html"
                                         title="class in org.apache.poi.ss.formula.ptg">AreaI.OffsetArea</a></code></li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.ss.formula.ptg.Ptg">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.ss.formula.ptg.<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a></h3>
                                <code><a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#CLASS_ARRAY">CLASS_ARRAY</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#CLASS_REF">CLASS_REF</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#CLASS_VALUE">CLASS_VALUE</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#EMPTY_PTG_ARRAY">EMPTY_PTG_ARRAY</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#Area3DPxg-int-org.apache.poi.ss.formula.SheetIdentifier-org.apache.poi.ss.util.AreaReference-">Area3DPxg</a></span>(int&nbsp;externalWorkbookNumber,
                                    <a href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                       title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheetName,
                                    <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                       title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;arearef)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#Area3DPxg-int-org.apache.poi.ss.formula.SheetIdentifier-java.lang.String-">Area3DPxg</a></span>(int&nbsp;externalWorkbookNumber,
                                    <a href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                       title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheetName,
                                    java.lang.String&nbsp;arearef)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#Area3DPxg-org.apache.poi.ss.formula.SheetIdentifier-org.apache.poi.ss.util.AreaReference-">Area3DPxg</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                        title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheetName,
                                    <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                                       title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;arearef)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#Area3DPxg-org.apache.poi.ss.formula.SheetIdentifier-java.lang.String-">Area3DPxg</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                        title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheetName,
                                    java.lang.String&nbsp;arearef)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#format2DRefAsString--">format2DRefAsString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#getExternalWorkbookNumber--">getExternalWorkbookNumber</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#getLastSheetName--">getLastSheetName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#getSheetName--">getSheetName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#getSize--">getSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#setLastSheetName-java.lang.String-">setLastSheetName</a></span>(java.lang.String&nbsp;sheetName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#setSheetName-java.lang.String-">setSheetName</a></span>(java.lang.String&nbsp;sheetName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#toFormulaString--">toFormulaString</a></span>()</code>
                                    <div class="block">return a string representation of this token alone</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#toString--">toString</a></span>()</code>
                                    <div class="block">Overridden toString method to ensure object hash is not
                                        printed.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPxg.html#write-org.apache.poi.util.LittleEndianOutput-">write</a></span>(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.ptg.AreaPtgBase">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.formula.ptg.<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html"
                                        title="class in org.apache.poi.ss.formula.ptg">AreaPtgBase</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#formatReferenceAsString--">formatReferenceAsString</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#getDefaultOperandClass--">getDefaultOperandClass</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#getFirstColumn--">getFirstColumn</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#getFirstColumnRaw--">getFirstColumnRaw</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#getFirstRow--">getFirstRow</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#getLastColumn--">getLastColumn</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#getLastColumnRaw--">getLastColumnRaw</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#getLastRow--">getLastRow</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#isFirstColRelative--">isFirstColRelative</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#isFirstRowRelative--">isFirstRowRelative</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#isLastColRelative--">isLastColRelative</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#isLastRowRelative--">isLastRowRelative</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#notImplemented--">notImplemented</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#readCoordinates-org.apache.poi.util.LittleEndianInput-">readCoordinates</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#setFirstColRelative-boolean-">setFirstColRelative</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#setFirstColumn-int-">setFirstColumn</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#setFirstColumnRaw-int-">setFirstColumnRaw</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#setFirstRow-int-">setFirstRow</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#setFirstRowRelative-boolean-">setFirstRowRelative</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#setLastColRelative-boolean-">setLastColRelative</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#setLastColumn-int-">setLastColumn</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#setLastColumnRaw-short-">setLastColumnRaw</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#setLastRow-int-">setLastRow</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#setLastRowRelative-boolean-">setLastRowRelative</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#sortTopLeftToBottomRight--">sortTopLeftToBottomRight</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#writeCoordinates-org.apache.poi.util.LittleEndianOutput-">writeCoordinates</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.ptg.OperandPtg">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.formula.ptg.<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/OperandPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">OperandPtg</a></h3>
                                <code><a href="../../../../../../org/apache/poi/ss/formula/ptg/OperandPtg.html#copy--">copy</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/OperandPtg.html#isBaseToken--">isBaseToken</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.ptg.Ptg">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.formula.ptg.<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#createPtg-org.apache.poi.util.LittleEndianInput-">createPtg</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#doesFormulaReferToDeletedCell-org.apache.poi.ss.formula.ptg.Ptg:A-">doesFormulaReferToDeletedCell</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#getEncodedSize-org.apache.poi.ss.formula.ptg.Ptg:A-">getEncodedSize</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#getEncodedSizeWithoutArrayData-org.apache.poi.ss.formula.ptg.Ptg:A-">getEncodedSizeWithoutArrayData</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#getPtgClass--">getPtgClass</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#getRVAType--">getRVAType</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#readTokens-int-org.apache.poi.util.LittleEndianInput-">readTokens</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#serializePtgs-org.apache.poi.ss.formula.ptg.Ptg:A-byte:A-int-">serializePtgs</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#setClass-byte-">setClass</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Area3DPxg-int-org.apache.poi.ss.formula.SheetIdentifier-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>Area3DPxg</h4>
                                <pre>public&nbsp;Area3DPxg(int&nbsp;externalWorkbookNumber,
                 <a href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                    title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheetName,
                 java.lang.String&nbsp;arearef)</pre>
                            </li>
                        </ul>
                        <a name="Area3DPxg-int-org.apache.poi.ss.formula.SheetIdentifier-org.apache.poi.ss.util.AreaReference-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>Area3DPxg</h4>
                                <pre>public&nbsp;Area3DPxg(int&nbsp;externalWorkbookNumber,
                 <a href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                    title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheetName,
                 <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;arearef)</pre>
                            </li>
                        </ul>
                        <a name="Area3DPxg-org.apache.poi.ss.formula.SheetIdentifier-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>Area3DPxg</h4>
                                <pre>public&nbsp;Area3DPxg(<a
                                        href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                        title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheetName,
                 java.lang.String&nbsp;arearef)</pre>
                            </li>
                        </ul>
                        <a name="Area3DPxg-org.apache.poi.ss.formula.SheetIdentifier-org.apache.poi.ss.util.AreaReference-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Area3DPxg</h4>
                                <pre>public&nbsp;Area3DPxg(<a
                                        href="../../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                        title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheetName,
                 <a href="../../../../../../org/apache/poi/ss/util/AreaReference.html"
                    title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;arearef)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#toString--">Ptg</a></code></span>
                                </div>
                                <div class="block">Overridden toString method to ensure object hash is not printed.
                                    This helps get rid of gratuitous diffs when comparing two dumps
                                    Subclasses may output more relevant information by overriding this method
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#toString--">toString</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalWorkbookNumber--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalWorkbookNumber</h4>
                                <pre>public&nbsp;int&nbsp;getExternalWorkbookNumber()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg.html#getExternalWorkbookNumber--">getExternalWorkbookNumber</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg.html"
                                                title="interface in org.apache.poi.ss.formula.ptg">Pxg</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSheetName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg.html#getSheetName--">getSheetName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg.html"
                                                title="interface in org.apache.poi.ss.formula.ptg">Pxg</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastSheetName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastSheetName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getLastSheetName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg3D.html#getLastSheetName--">getLastSheetName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg3D.html"
                                                title="interface in org.apache.poi.ss.formula.ptg">Pxg3D</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSheetName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSheetName</h4>
                                <pre>public&nbsp;void&nbsp;setSheetName(java.lang.String&nbsp;sheetName)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg.html#setSheetName-java.lang.String-">setSheetName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg.html"
                                                title="interface in org.apache.poi.ss.formula.ptg">Pxg</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLastSheetName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastSheetName</h4>
                                <pre>public&nbsp;void&nbsp;setLastSheetName(java.lang.String&nbsp;sheetName)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg3D.html#setLastSheetName-java.lang.String-">setLastSheetName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg3D.html"
                                                title="interface in org.apache.poi.ss.formula.ptg">Pxg3D</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="format2DRefAsString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>format2DRefAsString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;format2DRefAsString()</pre>
                            </li>
                        </ul>
                        <a name="toFormulaString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toFormulaString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toFormulaString()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#toFormulaString--">Ptg</a></code></span>
                                </div>
                                <div class="block">return a string representation of this token alone</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg.html#toFormulaString--">toFormulaString</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/ptg/Pxg.html"
                                                title="interface in org.apache.poi.ss.formula.ptg">Pxg</a></code></dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html#toFormulaString--">toFormulaString</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/ptg/AreaPtgBase.html"
                                                title="class in org.apache.poi.ss.formula.ptg">AreaPtgBase</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public&nbsp;int&nbsp;getSize()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#getSize--">getSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the encoded length of this Ptg, including the initial Ptg type identifier
                                        byte.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="write-org.apache.poi.util.LittleEndianOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html#write-org.apache.poi.util.LittleEndianOutput-">write</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Area3DPxg.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/ptg/Area3DPtg.html"
               title="class in org.apache.poi.ss.formula.ptg"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/ptg/AreaErrPtg.html"
               title="class in org.apache.poi.ss.formula.ptg"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/ptg/Area3DPxg.html" target="_top">Frames</a>
        </li>
        <li><a href="Area3DPxg.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.ss.formula.ptg.Ptg">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
